Page MenuHomePhabricator

Move wikiba.se tests from php56 to php72
Closed, ResolvedPublic0 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 4:28 PM
hashar added subscribers: WMDE-leszek, Ladsgroup, Dzahn, hashar.

wikiba.se got imported from Github to Gerrit via T171160.

Back in 2017 wikiba.se was apparently intended to run on a Jessie server and php5.6 ( d041c714e4c18802ac586a547dd313ae9e78382e ). I do not know whether it has been migrated to Stretch yet, if not there might already be a task to upgrade it to Stretch / switch to php7.0 or php7.2.

@Ladsgroup @Dzahn @WMDE-leszek : CI currently test wikiba.se with php5.6, can you confirm which PHP version (I am guessing php5.6 on jessie) it is currently used and what would be the target (probably php7.2 on Stretch)? thanks!

Change 514053 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] wikiba.se, fr-civicrm: Add php72 tests alongside php56

https://gerrit.wikimedia.org/r/514053

Change 514056 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Wikiba.se: Drop php56 jobs

https://gerrit.wikimedia.org/r/514056

Hi @hashar, indeed the intention has been to run on PHP 5.6 back then. Now we'd probably wish to go up to PHP 7.2 or so. That said, as mentioned in T99531#5181555 the migration of the actual hosting of said website has been stalled, and the website is still hosted on WMDE owned server.
For WMF CI going to PHP 7.2 makes sense I guess. It looks the code would need some adjustments prior to that. How about I try updating the gerrit code repo in the next days, and ping you to update the CI config?

hashar added a comment.Jun 4 2019, 9:33 AM

Regardless of who is hosting the website, I just would like to make sure that CI is aligned with whatever PHP version is being used to host the website. CI wise it is quite trivial to add jobs for either php7.0 or php7.2.

Our intent is to phase out Jessie which is the distribution we use for PHP 5.6 support. So I guess we can:

  • add in CI a non voting php 7.x job
  • get the code polished for php7
  • make the php7 CI job voting
  • upgrade PHP on the WMDE server
  • get rid of the php5.6 CI job.

I am not quite sure the amount of work that would be involved on wikiba.se side though.

Understood. Currently on the host 5.6 is used, but this is of course not optimal, so I'd like to have it bumped up to 7.x

The plan you've listed looks great. Mind adding the non-voting php 7.2 job to CI? I could also cook the patch later in the afternoon today, and let you review and deploy. Whatever is easier for you sir

Change 514056 abandoned by Hashar:
Wikiba.se: Drop php56 jobs

Reason:
Sorry I went reusing https://gerrit.wikimedia.org/r/#/c/integration/config/ /514054/ :(

https://gerrit.wikimedia.org/r/514056

Change 514053 merged by jenkins-bot:
[integration/config@master] wikiba.se, fr-civicrm: Add php72 tests alongside php56

https://gerrit.wikimedia.org/r/514053

Understood. Currently on the host 5.6 is used, but this is of course not optimal, so I'd like to have it bumped up to 7.x
The plan you've listed looks great. Mind adding the non-voting php 7.2 job to CI? I could also cook the patch later in the afternoon today, and let you review and deploy. Whatever is easier for you sir

Done via @Jdforrester-WMF change https://gerrit.wikimedia.org/r/#/c/integration/config/+/514053/ . There is now a non voting php 7.2 job.

Once the repository is ready, we can drop the php 5.6 job and switch to 7.2 entirely which is https://gerrit.wikimedia.org/r/#/c/integration/config/+/514054/

:]

Change 514430 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] [wikiba.se] enable php7.2

https://gerrit.wikimedia.org/r/514430

Change 514430 merged by jenkins-bot:
[integration/config@master] [wikiba.se] enable php7.2

https://gerrit.wikimedia.org/r/514430

Thanks gentlemen! I am a bit surprised to see PHPUnit 4.8 run happily on PHP 7.2 but as it works, why complain. I still plan to remove the old PHP version support/requirement from the code soon (tm).

Change 518720 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[wikibase/wikiba.se@master] Update PHPUnit version used to 8

https://gerrit.wikimedia.org/r/518720

Change 518720 merged by jenkins-bot:
[wikibase/wikiba.se@master] Update PHPUnit version used to 7 or 5.6

https://gerrit.wikimedia.org/r/518720

Mentioned in SAL (#wikimedia-releng) [2019-06-24T15:17:34Z] <James_F> Reloading Zuul to drop wikiba.se-composer-php56-docker T224905

Jdforrester-WMF closed this task as Resolved.Jun 24 2019, 3:19 PM
Jdforrester-WMF claimed this task.

Thank you, @WMDE-leszek!